Name:           jackson-core
Version:        2.11.4
Release:        %mkrel 2
Group:          Development/Java
Summary:        Core part of Jackson
License:        ASL 2.0

URL:            https://github.com/FasterXML/jackson-core
Source0:        %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch

%description
Core part of Jackson that defines Streaming API as well
as basic shared abstractions.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Remove plugins unnecessary for RPM builds
%pom_remove_plugin ":maven-enforcer-plugin"
%pom_remove_plugin "org.jacoco:jacoco-maven-plugin"
%pom_remove_plugin "org.moditect:moditect-maven-plugin"

cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.11.4-2.mga9
+ Revision: 1827718
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 2.11.4-1.mga9
+ Revision: 1694868
- Update to version 2.11.4

* Wed Oct 21 2020 daviddavid <daviddavid> 2.11.3-1.mga8
+ Revision: 1637879
- Update to version 2.11.3

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11.2-1.mga8
+ Revision: 1622426
- Update to version 2.11.2

* Sun Feb 16 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1536205
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1453498
- Update to version 2.10.0

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1363843
- Update to latest upstream release 2.9.8

* Mon Nov 26 2018 wally <wally> 2.9.4-1.mga7
+ Revision: 1335292
- new version 2.9.4 (sync with Fedora)

* Tue Sep 18 2018 umeabot <umeabot> 2.7.6-2.mga7
+ Revision: 1262480
- Mageia 7 Mass Rebuild

* Thu May 04 2017 neoclust <neoclust> 2.7.6-1.mga6
+ Revision: 1099008
- New version 2.7.6

* Wed Mar 02 2016 neoclust <neoclust> 2.6.3-3.mga6
+ Revision: 982351
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6.3-2.mga6
+ Revision: 976536
- First rebuild of the java stack
- sync package jackson-core with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.4.2-4.mga5
+ Revision: 805705
- Clean rebuild
- Restore
- 2.4.2
+ sander85 <sander85>
- Depends on broken java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Oct 22 2013 umeabot <umeabot> 2.2.2-4.mga4
+ Revision: 541320
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 2.2.2-3.mga4
+ Revision: 495515
- imported package jackson-core

